Subject: bug#61652: 28.2; Read-only mode and View mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Feb 2023 15:08:49 +0200

> From: Bernd Rellermeyer <[email-masked]>
> Date: Tue, 21 Feb 2023 13:46:50 +0100
> Cc: [email-masked]
> 
> In step 3, View mode is entered implicitly, because `view-read-only` is non-nil. From the user perspective it is only one command. I.e. the user just turns off and on Read-only mode. That means the user enters View mode vie Read-Only mode from a writable buffer. I think this should not alter the behavior of `View-exit` and after calling `View-exit` he should be in a writable buffer. Or am I wrong?

I'm not sure I agree with your interpretation.

Does anyone else have an opinion?